<?php
require_once '../core/system.php';
echo only_reg();
require_once '../core/head.php';
$q = mysql_query("SELECT * FROM `user` ORDER BY `param` DESC LIMIT 10");
$p= mysql_query("SELECT * FROM `user` ORDER BY `param` DESC LIMIT 1");
echo '<div class="new-link-tree" style="vertical-align:middle;"><div class="new-link-tree-step1"><a href="/" class="new-tree-link"><span class="link-span">Главная</span></a></div></div>';
echo "<div class='block10t'><div class='panelInfo'><div class='panelInfoHeader'>Рейтинг</div><div class='panelInfoContent'><div class='panelInfoRightCornerGlass'>";
while($post2 = mysql_fetch_assoc($p)) {
echo "<div class='dgreen bold'><img src='/images/icon/crys/1.png'> Самый сильный $post2[nick]</div><div class='float-left'><a href='/user/$post2[id]/'><img src='/style/avatar/".($post2['pol'] == 0 ? "zj" : "m")."/$post2[avatar].png' width='120' height='160' style='margin-right:10px;margin-top:3px;' alt=''/></a></div>";
echo online($post2[id]);
echo " $post2[nick]<br/><br/><img src='/images/icon/str.png' alt='str'/> Сила: $post2[sila]<br/><img src='/images/icon/vit.png' alt='vit'/> Здоровье: $post2[max_health]<br/><img src='/images/icon/agi.png' alt='agi'/> Ловкость: $post2[lovk]<br/><img src='/images/icon/def.png' alt='def'/> Защита: $post2[zashit]<br/><div style='clear:both;'></div>";
}
echo '</div></div></div></div>';
echo'<div class="line"></div><div class="info-panel">Нажми на имя игрока и попадёшь на страницу детальной информации об игроке.</div><div class="panelHint"><font color=#FFCC99>    Поиск по имени</font><form action="?search" method="post"><br/>
<input type="text" name="login"/><input type="submit"  class="button_small" value="Искать"/></form><br/></div><br/>';
if(isset($_GET['search'])){
$nick2 = check($_POST['login']);
$nick = mysql_fetch_assoc(mysql_query("SELECT id,online,nick from `user` where `nick` = '".$nick2."' limit 1"));
if(empty($nick['nick'])){
echo'<div class="player">Игрок не найден!</div>';
}else{
echo '<div class="panelHint">
    Найдено несколько бойцов по твоему запросу. Выбери нужного бойца из списка.
</div>';
echo '<div class="link-div">';
echo ' <a href="/user/?id='.$nick['id'].'" class="link-block-menu"><img src="/style/theme/images/rassmotret_zayavky.gif"><span class="link-span"> '.$nick['nick'].'</span></a></div>';
echo "</div>";
}
}
echo '<div style="padding-left:3px;margin-top:1em;"><table style="border-width:0; border-style:none;border-collapse:collapse;"><tbody><tr><td align="center">Умения</td><td align="center">Имя</td><td align="center">Ур</td></tr>';
while($post = mysql_fetch_assoc($q)) {
echo '<tr>';
echo '<td><img src="/images/icon/str.png"> '.$post[param].'</td><td> <a href="/user/'.$post['id'].'/" class="link-block-menu"><span class="link-span">'.$post['nick'].'</span></a></td><td> <img src="/images/icon/level.png"> '.$post['level'].'</td></tr>';
}
echo "</tbody></table></div>";
echo "<div class='attention-panel'>Здесь находятся только 10-ка лучших бойцов!</div>";
require_once '../core/foot.php';
?>